Bug 583481 - [abrt] double free or corruption in gtk file chooser
Summary: [abrt] double free or corruption in gtk file chooser
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:13208f1c94e87328a2041812e20...
Keywords:
: 609568 611188 613282 618019 622262 630430 632009 651480 668569 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-18 19:15 UTC by okuragu
Modified: 2011-06-27 15:43 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-06-27 15:43:08 UTC


Attachments (Terms of Use)
File: backtrace (35.97 KB, text/plain)
2010-04-18 19:15 UTC, okuragu
no flags Details

Description okuragu 2010-04-18 19:15:56 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: audacious2 -i gtkui
comment: n/a
component: audacious
executable: /usr/bin/audacious2
global_uuid: 13208f1c94e87328a2041812e20e917d86271ebd
kernel: 2.6.33.2-41.fc13.x86_64
package: audacious-2.2-14.fc13
rating: 4
reason: Process /usr/bin/audacious2 was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Start Audacious
2.Open mp3 file
3.

Comment 1 okuragu 2010-04-18 19:15:59 UTC
Created attachment 407439 [details]
File: backtrace

Comment 2 Michael Schwendt 2010-04-18 19:30:47 UTC
> 1. Start Audacious
> 2. Open mp3 file

It has nothing to do with that. Btw, you don't even have the mp3 input plugin installed.

The crash is a "double free or corruption" memory issue in gtk file chooser.

Comment 3 Caolan McNamara 2010-07-10 17:59:04 UTC
*** Bug 609568 has been marked as a duplicate of this bug. ***

Comment 4 Caolan McNamara 2010-07-10 18:00:05 UTC
*** Bug 611188 has been marked as a duplicate of this bug. ***

Comment 5 Caolan McNamara 2010-07-10 18:04:26 UTC
*** Bug 613282 has been marked as a duplicate of this bug. ***

Comment 6 David Tardon 2010-07-26 04:33:57 UTC
*** Bug 618019 has been marked as a duplicate of this bug. ***

Comment 7 Caolan McNamara 2010-08-08 16:31:23 UTC
*** Bug 622262 has been marked as a duplicate of this bug. ***

Comment 8 TFH 2010-08-19 21:12:17 UTC
Package: openoffice.org-writer-1:3.2.0-12.25.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Saved and converted a 2.2 meg html file to pdf format using open office
2.
3.

Comment 9 Caolan McNamara 2010-09-05 19:10:50 UTC
*** Bug 630430 has been marked as a duplicate of this bug. ***

Comment 10 Michael Schwendt 2010-09-09 05:44:09 UTC
*** Bug 632009 has been marked as a duplicate of this bug. ***

Comment 11 TFH 2010-10-07 21:15:20 UTC
Package: openoffice.org-writer-1:3.2.0-12.31.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Converting a gedit document that was exported to open office to save as a pdf.
2.
3.


Comment
-----
copy and paste an html doc to gedit-then copy and paste into open office-then save as a pdf

Comment 12 TFH 2010-10-08 18:14:55 UTC
Package: openoffice.org-writer-1:3.2.0-12.31.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.copy html doc to Gedit, next copy the gedit doc to open office, then save as a .pdf
2.
3.

Comment 13 Jorge Medinacelly 2010-10-27 23:31:46 UTC
Package: openoffice.org-writer-1:3.2.0-12.31.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Cerrando un documento .doc
2.
3.

Comment 14 TFH 2010-11-07 18:58:22 UTC
Package: openoffice.org-writer-1:3.2.0-12.31.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Copy HTML file to Openoffice

2.save file 
3.convert and save to SATA drive in PDF format


Comment
-----
This has happened many times. I have noticed if I save to the "c" dive documents folder it does not occur as often. So
it appears that the deeper into folder structure the file is requested to save, the more often the problem occurs.

Comment 15 Caolan McNamara 2010-11-09 17:03:43 UTC
*** Bug 651480 has been marked as a duplicate of this bug. ***

Comment 16 Caolan McNamara 2011-01-10 20:33:14 UTC
*** Bug 668569 has been marked as a duplicate of this bug. ***

Comment 17 Bug Zapper 2011-06-02 15:08:01 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 18 Bug Zapper 2011-06-27 15:43:08 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.